*** EX03 - BLOCK;
*** data from STATISTICS CANADA web site;

data canada_pop;
input
province        :  $2.
province_name & : $21.
pop_2001        : comma.
;
label
pop_2001 = 'POPULATION 2001'
;
format pop: area: comma10.;
datalines;
10 NEWFOUNDLAND             512,930
11 PRINCE EDWARD ISLAND     135,294
12 NOVA SCOTIA              908,007
13 NEW BRUNSWICK            729,498
24 QUEBEC                 7,237,479
35 ONTARIO               11,410,046
46 MANITOBA               1,119,583
47 SASKATCHEWAN             978,933
48 ALBERTA                2,974,807
59 BRITISH COLUMBIA       3,907,738
60 YUKON                     28,674
61 NORTHWEST TERRITORIES     64,105
;
run;

proc format;
value popfmt
low -< 1000000 = '< ONE MILLION'
1000000 - high = 'ONE MILLION +'
;
run;

goptions reset=all;

title 'CANADIAN POPULATION BY PROVINCE, 2001';
footnote j=r 'EX03.SAS ';


proc gmap data=canada_pop map=maps.canada2;
id province;

block pop_2001;
run;
block pop_2001 / levels=12 coutline=black xview=1.8 yview=-1.0 zview=1.0 
                 shape=cylinder blocksize=5 nolegend;
run;

pattern1 v=s c=red r=12;
block pop_2001;
run;
block pop_2001 / levels=12 coutline=black xview=1.8 yview=-1.0 zview=1.0 
                 shape=cylinder blocksize=5 nolegend;
run;

pattern2 v=ms c=green;
block pop_2001;
run;
block pop_2001 / levels=12 coutline=black xview=1.8 yview=-1.0 zview=1.0 
                 shape=cylinder blocksize=5 nolegend;
run;
quit;

title;
footnote;
