
*** EX08 - Create a Map Data Set from a Shapefile;
proc mapimport
datafile='k:\sugi29\shapefiles\tr38_d00.shp'
out=nd_tracts;
run;

proc contents data=nd_tracts;
ods select variables;
run;

proc print data=nd_tracts (obs=10);
run;

data nd_tracts;
set nd_tracts;
*** convert longitude and latitude from degrees to radians;
x =  -x / (180/(constant('pi')));
y =   y / (180/(constant('pi')));
keep county tract segment x y;
run;

proc gproject data=nd_tracts out=proj;
id county tract;
run;

goptions reset=all;

pattern v=e;

title 'NORTH DAKOTA CENSUS TRACTS';
footnote j=r 'SOURCE:  US CENSUS BUREAU SHAPEFILE ';
proc gmap data=proj (obs=1) map=proj all;
id county tract;
choro tract / discrete nolegend;
run;
quit;
title;
footnote;


* NORTH DAKOTA ZIPS;

proc mapimport
datafile='k:\sugi29\shapefiles\zt38_d00.shp'
out=nd_zips;
run;

proc contents data=nd_zips;
ods select variables;
run;

data nd_zips;
set nd_zips;
*** convert longitude and latitude from degrees to radians;
x =  -x / (180/(constant('pi')));
y =   y / (180/(constant('pi')));
keep zcta segment x y;
run;

proc gproject data=nd_zips out=proj;
id zcta;
run;

goptions reset=all;

pattern v=e;

title 'NORTH DAKOTA CENSUS ZIPS';
footnote j=r 'SOURCE:  US CENSUS BUREAU SHAPEFILE ';
proc gmap data=proj (obs=1) map=proj all;
id zcta;
choro zcta / discrete nolegend;
run;
quit;
title;
footnote;

* COUNTY BOUNDARY OUTLINE - specify thick lines using SIZE=4;

data outline;
length function $8;
set maps.counties;
where state eq 38;
by county segment;
retain xsys ysys '2' hsys '3' size 3 color 'blue' when  'a';
if first.segment or (lag(x)=. and lag(y)=.) then function='POLY';
else                                             function='POLYCONT';
if x and y then output;
run;

data nd_both;
set nd_zips outline;
run;

proc gproject data=nd_both out=proj;
id zcta;
run;

goptions reset=all;

pattern v=e;

title 'NORTH DAKOTA CENSUS ZIPS WITH COUNTY BOUNDARIES';
footnote j=r 'SOURCE:  US CENSUS BUREAU SHAPEFILE ';
proc gmap data=proj (obs=1) map=proj (where=(function is missing))
                             annotate=proj (where=(function is not missing)) all;
id zcta;
choro zcta / discrete nolegend;
run;
quit;
title;
footnote;
