
*** EX17 - CREATE A MAP AS A PDF FILE;
*** data from STATISTICS CANADA web site;
data canada_pop;
input
province        :  $2.
province_name & : $21.
(pop_2001 area_sqk) (: comma.)
;
pop_density = round(pop_2001 / area_sqk,.01);
label
pop_2001    = 'POPULATION 2001'
area_sqk    = 'AREA SQUARE KILOMETERS'
pop_density = 'POPULATION PER SQUARE MILE'
;
format pop_2001 area_sqk comma10.;
datalines;
10 NEWFOUNDLAND             512,930    370,502
11 PRINCE EDWARD ISLAND     135,294      5,684
12 NOVA SCOTIA              908,007     52,917
13 NEW BRUNSWICK            729,498     71,356
24 QUEBEC                 7,237,479  1,357,743
35 ONTARIO               11,410,046    907,656
46 MANITOBA               1,119,583    551,938
47 SASKATCHEWAN             978,933    586,561
48 ALBERTA                2,974,807    639,987
59 BRITISH COLUMBIA       3,907,738    926,492
60 YUKON                     28,674    474,707
61 NORTHWEST TERRITORIES     64,105  3,066,569
;
run;

*** reset all graphics options to default values, set some options;
goptions reset=all ftext='calibri' htext=2 gunit=pct;
;

*** choose a set of colors - sequentially increasing shades of blue;
pattern1 v=ms c=cxeff3ff;
pattern2 v=ms c=cxbdd7e7;
pattern3 v=ms c=cx6baed6;
pattern4 v=ms c=cx2171b5;

*** specify parameters for the legend;
legend1
origin=(70,60)pct
across=1
mode=share
label=(position=top j=c 'POPULATION PER SQ KM')
shape=bar(3,4)pct
cborder=blue
;

options orientation=landscape;
ods results off;
ods listing close;
ods pdf file='z:\canada.pdf' notoc;

title h=4 'CANADIAN POPULATION DENSITY BY PROVINCE, 2001';
footnote j=r 'EX17.SAS ';
proc gmap data=canada_pop map=maps.canada2;
id province;
choro pop_density / levels=4 coutline=black legend=legend1;
run;
quit;
title;
footnote;

ods pdf close;
ods listing;
ods results;
options orientation=portrait;
