
*** EX19 - An ACTIVEX Map with Continuous Colors, Pop-Ups, On-Screen Editing;
*** data from STATISTICS CANADA web site;

data canada_pop;
input
province        :  $2.
province_name & : $21.
(pop_2001 pop_1996 area_sqk) (: comma.)
;
pop_density = pop_2001 / area_sqk;
label
pop_2001    = 'POPULATION 2001'
pop_1996    = 'POPULATION 1996'
area_sqk    = 'AREA SQUARE KILOMETERS'
pop_density = 'POPULATION PER SQUARE KILOMETER'
;
format pop_2001 pop_1996 area: comma10.;
datalines;
10 NEWFOUNDLAND             512,930		  551,792      370,502
11 PRINCE EDWARD ISLAND     135,294       134,557        5,684
12 NOVA SCOTIA              908,007       909,282       52,917
13 NEW BRUNSWICK            729,498       738,133       71,356
24 QUEBEC                 7,237,479     7,138,795    1,357,743
35 ONTARIO               11,410,046    10,753,573      907,656
46 MANITOBA               1,119,583     1,113,898      551,938
47 SASKATCHEWAN             978,933       990,237      586,561
48 ALBERTA                2,974,807     2,696,826      639,987
59 BRITISH COLUMBIA       3,907,738     3,724,500      926,492
60 YUKON                     28,674        30,766      474,707
61 NORTHWEST TERRITORIES     64,105        64,402    3,066,569
;
run;

data prov_fmt (keep=fmtname start label) / view=prov_fmt;
retain fmtname '$provname';
set canada_pop (rename=(province=start province_name=label));
run;

proc format cntlin=prov_fmt;
run;

goptions reset=all
device=activex
xpixels=1024
ypixels=768
;

ods listing close;
ods html file = 'z:\canada.html';

title 'CANADIAN POPULATION BY PROVINCE, 2001';
footnote 'EX19.SAS';
proc gmap data=canada_pop map=maps.canada2;
id province;
choro pop_density / levels=all nolegend;
format province $provname.;
label province = 'PROVINCE';
run;
quit;
title;

ods html close;
ods listing;
