
*** data from STATISTICS CANADA web site;

data canada_pop;
input 
province        :  $2. 
province_name & : $21. 
(pop_2001 pop_1996 area_sqk) (: comma.)
;
label
pop_2001 = 'POPULATION 2001'
pop_1996 = 'POPULATION 1996'
area_sqk = 'AREA SQUARE KILOMETERS'
;
format pop: area: comma10.;
datalines;
10 NEWFOUNDLAND             512,930       551,792      370,502
11 PRINCE EDWARD ISLAND     135,294       134,557        5,684
12 NOVA SCOTIA              908,007       909,282       52,917
13 NEW BRUNSWICK            729,498       738,133       71,356
24 QUEBEC                 7,237,479     7,138,795    1,357,743
35 ONTARIO               11,410,046    10,753,573      907,656
46 MANITOBA               1,119,583     1,113,898      551,938
47 SASKATCHEWAN             978,933       990,237      586,561
48 ALBERTA                2,974,807     2,696,826      639,987
59 BRITISH COLUMBIA       3,907,738     3,724,500      926,492
60 YUKON                     28,674        30,766      474,707
61 NORTHWEST TERRITORIES     64,105        64,402    3,066,569
;
run;

proc print data=canada_pop;
run;

goptions reset=all;

title 'CANADIAN POPULATION BY PROVINCE, 2001';
footnote j=r 'EX01.SAS ';

proc gmap data=canada_pop map=maps.canada2;
id province;
choro pop_2001;
run;
quit;

title;
footnote;

data canada_pop;
set canada_pop;
pct_diff = round(100 * (pop_2001 - pop_1996) / pop_1996);
pop_den  = pop_2001 / area_sqk;
label 
pct_diff = '%-CHANGE IN POPULATION, 1996-TO-2001'
pop_den  = 'POPULATION DENSITY (PERSONS PER SQ KM)'
;
run;

proc print data=canada_pop;
run;

proc format;
value pct_diff
low -<0   = 'DECREASE'
0         = 'NO CHANGE'
0 <- high = 'INCREASE' 
;
run;

title 'CANADIAN POPULATION CHANGE, 1996-TO-2001';

proc gmap data=canada_pop map=maps.canada2;
id province;
choro pct_diff / levels=3 discrete;
format pct_diff pct_diff.;
run;
quit;

title;

goptions reset=all;
ods results off;
ods listing close;
ods html file = 'z:\canada.html';

goptions device=java;

title1 'CANADIAN POPULATION BY PROVINCE, 2001';
proc gmap data=canada_pop map=maps.canada2;
id province;
choro pop_2001 / levels=4;
run;
quit;

ods html close;
ods listing;
ods results;

title;
